import { OnChanges, EventEmitter, Renderer, ElementRef, TemplateRef } from '@angular/core';
import { TreeModel } from '../models/tree.model';
import { TreeDraggedElement } from '../models/tree-dragged-element.model';
import { TreeOptions } from '../models/tree-options.model';
import { TreeViewportComponent } from './tree-viewport.component';
export declare class TreeComponent implements OnChanges {
    treeModel: TreeModel;
    treeDraggedElement: TreeDraggedElement;
    private renderer;
    _nodes: any[];
    _options: TreeOptions;
    loadingTemplate: TemplateRef<any>;
    treeNodeTemplate: TemplateRef<any>;
    treeNodeWrapperTemplate: TemplateRef<any>;
    treeNodeFullTemplate: TemplateRef<any>;
    viewportComponent: TreeViewportComponent;
    focusEl: ElementRef;
    nodes: any[];
    options: TreeOptions;
    focused: boolean;
    state: any;
    toggleExpanded: EventEmitter<any>;
    activate: EventEmitter<any>;
    deactivate: EventEmitter<any>;
    select: EventEmitter<any>;
    deselect: EventEmitter<any>;
    focus: EventEmitter<any>;
    blur: EventEmitter<any>;
    updateData: EventEmitter<any>;
    initialized: EventEmitter<any>;
    moveNode: EventEmitter<any>;
    copyNode: EventEmitter<any>;
    loadNodeChildren: EventEmitter<any>;
    changeFilter: EventEmitter<any>;
    event: EventEmitter<any>;
    stateChange: EventEmitter<any>;
    noPreviousNode: EventEmitter<any>;
    noNextNode: EventEmitter<any>;
    constructor(treeModel: TreeModel, treeDraggedElement: TreeDraggedElement, renderer: Renderer);
    onKeydown($event: any): void;
    onMousedown($event: any): void;
    ngOnChanges(changes: any): void;
    sizeChanged(): void;
    ngAfterViewInit(): void;
}
